@import "../../vars";

$pricingCardTextColor: #393939;

.pricingCard {
  color: $pricingCardTextColor;
  position: relative;
  text-align: center;
  padding: 20px 30px;
  background-color: #f7f7f7;

  @media (min-width: $viewportMedium) {
    padding: 30px;
  }

  @media (min-width: $viewportLarge) {
    padding: 20px 30px;
  }

  &.popular {
    background-color: $matterColorLight;
    z-index: 1;
    transform: matrix(1, 0, 0, 1, 0, 0);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
  }
}

.pricingCardTitle {
  font-family: $fontBold;
  font-size: 16px;
  line-height: 26px;
  text-transform: uppercase;
  margin: 0 0 12px;
}

.pricingCardPrice {
  font-family: $fontBold;
  font-size: 41px;
  margin: 0 0 10px;
}

.pricingCardRatio {
  font-weight: 400;
  font-size: 18px;
  margin: 0;
}

.pricingCardRibbon {
  height: 150px;
  overflow: hidden;
  position: absolute;
  z-index: 10;
  width: 150px;
  top: -7px;
  right: -7px;
  left: auto;

  @media (min-width: $viewportMedium) {
    width: 100%;
    top: 0;
    left: 0;
    right: 0;
  }

  @media (min-width: $viewportLarge) {
    width: 150px;
    top: -7px;
    right: -7px;
    left: auto;
  }
}

.pricingCardRibbon::before,
.pricingCardRibbon::after {
  position: absolute;
  z-index: -1;
  content: '';
  display: block;
  border: 7px solid #628568;
  border-top-color: transparent;
  border-right-color: transparent;

  @media (min-width: $viewportMedium) {
    border: 0;
  }

  @media (min-width: $viewportLarge) {
    border: 7px solid #628568;
  }
}

.pricingCardRibbon::before {
  top: -7px;
  left: 8px;
  clip-path: polygon(29% 50%, 0 100%, 100% 100%);
}

.pricingCardRibbon::after {
  bottom: 45px;
  right: -7px;
  clip-path: polygon(0 0, 0 100%, 48% 35%);
}

.pricingCardRibbon span {
  color: $matterColorLight;
  background-color: $ribbonColor;
  width: 225px;
  left: -20px;
  top: 30px;
  transform: rotate(34.84deg);
  position: absolute;
  display: block;
  z-index: 10;
  padding: 2px 0;
  font-size: 16px;
  text-align: center;

  @media (min-width: $viewportMedium) {
    width: 100%;
    left: 0;
    top: 0;
    transform: rotate(0deg);
  }

  @media (min-width: $viewportLarge) {
    width: 225px;
    left: -20px;
    top: 30px;
    transform: rotate(34.84deg);
  }
}
